[SciPy-user] Error in SciPy install on Zenwalk-4.6.1 system.

Robert Kern robert.kern@gmail....
Tue Jul 31 23:48:29 CDT 2007


David Cournapeau wrote:

> Anand, I answer to you in this mail since it seems your reply is 
> mislocated in your email. To fetch numpy and scipy from sources, you 
> need to install subversion first, and then:
> 
> svn co http://svn.scipy.org/svn/numpy/trunk numpy.svn
> svn co http://svn.scipy.org/svn/scipy/trunk scipy.svn
> 
> And then build numpy and scipy from sources as usual. Note that your 
> problem is not scipy but numpy (numpy is used by scipy to build).

Well, sort of. While I shouldn't have removed get_path(), odr's setup.py
shouldn't have been using it. Of course, the fault is mine for both!

Anand, if you just want to patch the scipy 0.5.2 that you have, you can see the
relevant changes here:

http://projects.scipy.org/scipy/scipy/changeset?new=trunk%2FLib%2Fodr%2Fsetup.py%403006&old=trunk%2FLib%2Fodr%2Fsetup.py%402596

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list